<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mosty.yjzl.mapper.TbZlYjClMapper">
    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mosty.base.model.entity.yjzl.TbZlYjCl">
        <id column="id" property="id"/>
        <result column="zl_id" property="zlId"/>
        <result column="yj_id" property="yjId"/>
        <result column="yjcl_id" property="yjclId"/>
        <result column="yj_clbq" property="yjClbq"/>
        <result column="yj_clbqmc" property="yjClbqmc"/>
        <result column="yjly_bqmc" property="yjlyBqmc"/>
        <result column="yj_clyjlx" property="yjClyjlx"/>
        <result column="yj_fssj" property="yjFssj"/>
        <result column="yj_sj" property="yjSj"/>
        <result column="yj_jb" property="yjJb"/>
        <result column="zldj" property="zldj"/>
        <result column="zl_bt" property="zlBt"/>
        <result column="zl_nr" property="zlNr"/>
        <result column="zl_cphlx" property="zlCphlx"/>
        <result column="zl_clcph" property="zlClcph"/>
        <result column="zl_cljdcsyrhm" property="zlCljdcsyrhm"/>
        <result column="zl_cljdcsyr" property="zlCljdcsyr"/>
        <result column="zl_cphys" property="zlCphys"/>
        <result column="zl_clys" property="zlClys"/>
        <result column="zl_clpp" property="zlClpp"/>
        <result column="zl_cllx" property="zlCllx"/>
        <result column="zl_clnk" property="zlClnk"/>
        <result column="zl_xsfx" property="zlXsfx"/>
        <result column="zl_xssd" property="zlXssd"/>
        <result column="zl_clrs" property="zlClrs"/>
        <result column="cl_cxsj" property="clCxsj"/>
        <result column="cl_xssj" property="clXssj"/>
        <result column="yj_gzyid" property="yjGzyid"/>
        <result column="jd" property="jd"/>
        <result column="wd" property="wd"/>
        <result column="zb" property="zb" typeHandler="com.mosty.base.feign.handle.PointTypeHandler"/>
        <result column="zbhash" property="zbhash"/>
        <result column="zl_dz_xzqh" property="zlDzXzqh"/>
        <result column="zl_dz" property="zlDz"/>
        <result column="tp_id" property="tpId"/>
        <result column="qszt" property="qszt"/>
        <result column="qssj" property="qssj"/>
        <result column="qsyxsj" property="qsyxsj"/>
        <result column="ddxcyxsj" property="ddxcyxsj"/>
        <result column="zlwjyxsj" property="zlwjyxsj"/>
        <result column="ddxczt" property="ddxczt"/>
        <result column="ddxcsj" property="ddxcsj"/>
        <result column="zlwjzt" property="zlwjzt"/>
        <result column="zlwjsj" property="zlwjsj"/>
        <result column="zlwjsm" property="zlwjsm"/>
        <result column="zlzxzt" property="zlzxzt"/>
        <result column="zlfqr_id" property="zlfqrId"/>
        <result column="zlfqr" property="zlfqr"/>
        <result column="zlfqr_sfzh" property="zlfqrSfzh"/>
        <result column="zlfqr_dh" property="zlfqrDh"/>
        <result column="hczt" property="hczt"/>
        <result column="hcid" property="hcid"/>
        <result column="ssbm" property="ssbm"/>
        <result column="ssbmdm" property="ssbmdm"/>
        <result column="ssbmid" property="ssbmid"/>
        <result column="ssxgaj" property="ssxgaj"/>
        <result column="ssxgajdm" property="ssxgajdm"/>
        <result column="ssxgajid" property="ssxgajid"/>
        <result column="sssgaj" property="sssgaj"/>
        <result column="sssgajdm" property="sssgajdm"/>
        <result column="sssgajid" property="sssgajid"/>
        <result column="xt_sjly" property="xtSjly"/>
        <result column="xt_sjzt" property="xtSjzt"/>
        <result column="xt_scbz" property="xtScbz"/>
        <result column="xt_cjip" property="xtCjip"/>
        <result column="xt_cjsj" property="xtCjsj"/>
        <result column="xt_cjr_id" property="xtCjrId"/>
        <result column="xt_cjr" property="xtCjr"/>
        <result column="xt_cjbmdm" property="xtCjbmdm"/>
        <result column="xt_cjbmmc" property="xtCjbmmc"/>
        <result column="xt_zhgxip" property="xtZhgxip"/>
        <result column="xt_zhgxsj" property="xtZhgxsj"/>
        <result column="xt_zhgxrid" property="xtZhgxrid"/>
        <result column="xt_zhgxr" property="xtZhgxr"/>
        <result column="xt_zhgxbmdm" property="xtZhgxbmdm"/>
        <result column="xt_zhgxbm" property="xtZhgxbm"/>
        <result column="bz" property="bz"/>
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">

                id, zl_id, yj_id, yjcl_id, yj_clbq,yj_clbqmc, yjly_bqmc, yj_clyjlx, yj_fssj, yj_sj, yj_jb, zldj, zl_bt, zl_nr,
                zl_cphlx, zl_clcph, zl_cljdcsyrhm, zl_cljdcsyr, zl_cphys, zl_clys, zl_clpp, zl_cllx, zl_clnk,
                zl_xsfx, zl_xssd, zl_clrs, cl_cxsj, cl_xssj, yj_gzyid, jd, wd,qsyxsj,ddxcyxsj,zlwjyxsj,
                zb, zbhash, zl_dz_xzqh, zl_dz,
                tp_id, qszt, qssj, ddxczt, ddxcsj, zlwjzt, zlwjsj, zlwjsm, zlzxzt, zlfqr_id, zlfqr, zlfqr_sfzh,
                zlfqr_dh, hczt, hcid, ssbm, ssbmdm, ssbmid, ssxgaj, ssxgajdm, ssxgajid, sssgaj, sssgajdm, sssgajid,
                xt_sjly, xt_sjzt, xt_scbz, xt_cjip, xt_cjsj, xt_cjr_id, xt_cjr, xt_cjbmdm, xt_cjbmmc, xt_zhgxip,
                xt_zhgxsj, xt_zhgxrid, xt_zhgxr, xt_zhgxbmdm, xt_zhgxbm, bz

    </sql>

    <insert id="insertEntity" parameterType="com.mosty.base.model.entity.yjzl.TbZlYjCl">
        insert into tb_zl_yj_cl(<include refid="Base_Column_List"/>)values (
        #{id},#{ zlId},#{ yjId},#{ yjclId},#{ yjClbq},#{yjClbqmc},#{ yjlyBqmc},#{ yjClyjlx},#{ yjFssj},#{ yjSj},#{ yjJb},
        #{zldj},#{ zlBt},#{ zlNr},#{ zlCphlx},#{ zlClcph},#{ zlCljdcsyrhm},#{ zlCljdcsyr},#{ zlCphys},#{ zlClys},
        #{ zlClpp},#{ zlCllx},#{ zlClnk},#{ zlXsfx},#{ zlXssd},#{ zlClrs},#{ clCxsj},#{ clXssj},#{ yjGzyid},#{ jd},#{ wd},
        #{qsyxsj},#{ddxcyxsj},#{zlwjyxsj},
        ST_GEOMFROMTEXT(#{zb,typeHandler = com.mosty.base.feign.handle.PolygonTypeHandler}),
        #{zbhash},#{ zlDzXzqh},#{ zlDz},#{ tpId},#{ qszt},#{ qssj},#{ ddxczt},#{ ddxcsj},#{ zlwjzt},#{ zlwjsj},
        #{ zlwjsm},#{ zlzxzt},#{zlfqrId},#{ zlfqr},#{ zlfqrSfzh},#{ zlfqrDh},#{ hczt},#{ hcid},#{ ssbm},#{ ssbmdm},
        #{ ssbmid},#{ ssxgaj},#{ ssxgajdm},#{ ssxgajid},#{ sssgaj},#{sssgajdm},#{ sssgajid},#{ xtSjly},
        #{xtSjzt},#{ xtScbz},#{ xtCjip},#{ xtCjsj},#{ xtCjrId},#{ xtCjr},#{ xtCjbmdm},#{ xtCjbmmc},#{ xtZhgxip},
        #{ xtZhgxsj},#{ xtZhgxrid},#{xtZhgxr},#{ xtZhgxbmdm},#{ xtZhgxbm},#{ bz}
        )
    </insert>
    <update id="updateEntity" parameterType="com.mosty.base.model.entity.yjzl.TbZlYjCl">
        update tb_zl_yj_cl
        <set>
            <if test="zlId != null and zlId != ''">
                zl_id = #{zlId},
            </if>
            <if test="yjId != null and yjId != ''">
                yj_id = #{yjId},
            </if>
            <if test="yjclId != null and yjclId != ''">
                yjcl_id = #{yjcl_id},
            </if>
            <if test="yjClbq != null and yjClbq != ''">
                yj_clbq = #{yjClbq},
            </if>
            <if test="yjlyBqmc != null and yjlyBqmc != ''">
                yjly_bqmc = #{yjlyBqmc},
            </if>
            <if test="yjClyjlx != null and yjClyjlx != ''">
                yj_clyjlx = #{yjClyjlx},
            </if>
            <if test="yjFssj != null and yjFssj != ''">
                yj_fssj = #{yjFssj},
            </if>
            <if test="yjSj != null and yjSj != ''">
                yj_sj = #{yjSj},
            </if>
            <if test="yjJb != null and yjJb != ''">
                yj_jb = #{yjJb},
            </if>
            <if test="zldj != null and zldj != ''">
                zldj = #{zldj},
            </if>
            <if test="zlBt != null and zlBt != ''">
                zl_bt = #{zlBt},
            </if>
            <if test="zlNr != null and zlNr != ''">
                zl_nr = #{zlNr},
            </if>
            <if test="zlCphlx != null and zlCphlx != ''">
                zl_cphlx = #{zlCphlx},
            </if>
            <if test="zlClcph != null and zlClcph != ''">
                zl_clcph = #{zlClcph},
            </if>
            <if test="zlCljdcsyrhm != null and zlCljdcsyrhm != ''">
                zl_cljdcsyrhm = #{zlCljdcsyrhm},
            </if>
            <if test="zlCljdcsyr != null and zlCljdcsyr != ''">
                zl_cljdcsyr = #{zlCljdcsyr},
            </if>
            <if test="zlCphys != null and zlCphys != ''">
                zl_cphys = #{zlCphys},
            </if>
            <if test="zlClys != null and zlClys != ''">
                zl_clys = #{zlClys},
            </if>
            <if test="zlClpp != null and zlClpp != ''">
                zl_clpp = #{zlClpp},
            </if>
            <if test="zlCllx != null and zlCllx != ''">
                zl_cllx = #{zlCllx},
            </if>
            <if test="zlClnk != null and zlClnk != ''">
                zl_clnk = #{zlClnk},
            </if>
            <if test="zlXsfx != null and zlXsfx != ''">
                zl_xsfx = #{zlXsfx},
            </if>
            <if test="zlXssd != null and zlXssd != ''">
                zl_xssd = #{zlXssd},
            </if>
            <if test="zlClrs != null and zlClrs != ''">
                zl_clrs = #{zlClrs},
            </if>
            <if test="clCxsj != null and clCxsj != ''">
                cl_cxsj = #{clCxsj},
            </if>
            <if test="clXssj != null and clXssj != ''">
                cl_xssj = #{clXssj},
            </if>
            <if test="yjGzyid != null and yjGzyid != ''">
                yj_gzyid = #{yjGzyid},
            </if>
            <if test="jd != null and jd != ''">
                jd = #{jd},
            </if>
            <if test="wd != null and wd != ''">
                wd = #{wd},
            </if>
            <if test="zb != null and zb != ''">
                zb = ST_GEOMFROMTEXT(#{zb,typeHandler=com.mosty.base.feign.handle.PointTypeHandler}),
            </if>
            <if test="zbhash != null and zbhash != ''">
                zbhash = #{zbhash},
            </if>
            <if test="zlDzXzqh != null and zlDzXzqh != ''">
                zl_dz_xzqh = #{zlDzXzqh},
            </if>
            <if test="zlDz != null and zlDz != ''">
                zl_dz = #{zlDz},
            </if>

            <if test="tpId != null and tpId != ''">
                tp_id = #{tpId},
            </if>
            <if test="qszt != null and qszt != ''">
                qszt = #{qszt},
            </if>
            <if test="qssj != null and qssj != ''">
                qssj = #{qssj},
            </if>
            <if test="ddxczt != null and ddxczt != ''">
                ddxczt = #{ddxczt},
            </if>
            <if test="ddxcsj != null and ddxcsj != ''">
                ddxcsj = #{ddxcsj},
            </if>
            <if test="zlwjzt != null and zlwjzt != ''">
                zlwjzt = #{zlwjzt},
            </if>
            <if test="zlwjsj != null and zlwjsj != ''">
                zlwjsj = #{zlwjsj},
            </if>
            <if test="zlwjsm != null and zlwjsm != ''">
                zlwjsm = #{zlwjsm},
            </if>
            <if test="zlzxzt != null and zlzxzt != ''">
                zlzxzt = #{zlzxzt},
            </if>
            <if test="zlfqrId != null and zlfqrId != ''">
                zlfqr_id = #{zlfqrId},
            </if>
            <if test="zlfqr != null and zlfqr != ''">
                zlfqr = #{zlfqr},
            </if>
            <if test="zlfqrIfzh != null and zlfqrIfzh != ''">
                zlfqr_sfzh = #{zlfqrSfzh},
            </if>
            <if test="zlfqrDh != null and zlfqrDh != ''">
                zlfqr_dh = #{zlfqrDh},
            </if>
            <if test="hczt != null and hczt != ''">
                hczt = #{hczt},
            </if>
            <if test="hcid != null and hcid != ''">
                hcid = #{hcid},
            </if>
            <if test="ssbm != null and ssbm != ''">
                ssbm = #{ssbm},
            </if>
            <if test="ssbmdm != null and ssbmdm != ''">
                ssbmdm = #{ssbmdm},
            </if>
            <if test="ssbmid != null and ssbmid != ''">
                ssbmid = #{ssbmid},
            </if>
            <if test="ssxgaj != null and ssxgaj != ''">
                ssxgaj = #{ssxgaj},
            </if>
            <if test="ssxgajdm != null and ssxgajdm != ''">
                ssxgajdm = #{ssxgajdm},
            </if>
            <if test="ssxgajid != null and ssxgajid != ''">
                ssxgajid = #{ssxgajid},
            </if>
            <if test="sssgaj != null and sssgaj != ''">
                sssgaj = #{sssgaj},
            </if>
            <if test="sssgajdm != null and sssgajdm != ''">
                sssgajdm = #{sssgajdm},
            </if>
            <if test="sssgajid != null and sssgajid != ''">
                sssgajid = #{sssgajid},
            </if>
            <if test="xtSjly != null and xtSjly != ''">
                xt_sjly = #{xtSjly},
            </if>
            <if test="xtSjzt != null and xtSjzt != ''">
                xt_sjzt = #{xtSjzt},
            </if>
            <if test="xtScbz != null and xtScbz != ''">
                xt_scbz = #{xtScbz},
            </if>
            <if test="xtCjip != null and xtCjip != ''">
                xt_cjip = #{xtCjip},
            </if>
            <if test="xtCjsj != null">
                xt_cjsj = #{xtCjsj},
            </if>
            <if test="xtCjrId != null and xtCjrId != ''">
                xt_cjr_id = #{xtCjrId},
            </if>
            <if test="xtCjr != null and xtCjr != ''">
                xt_cjr = #{xtCjr},
            </if>
            <if test="xtCjbmdm != null and xtCjbmdm != ''">
                xt_cjbmdm = #{xtCjbmdm},
            </if>
            <if test="xtCjbmmc != null and xtCjbmmc != ''">
                xt_cjbmmc = #{xtCjbmmc},
            </if>
            <if test="xtZhgxip != null and xtZhgxip != ''">
                xt_zhgxip = #{xtZhgxip},
            </if>
            <if test="xtZhgxsj != null">
                xt_zhgxsj = #{xtZhgxsj},
            </if>
            <if test="xtZhgxrid != null and xtZhgxrid != ''">
                xt_zhgxrid = #{xtZhgxrid},
            </if>
            <if test="xtZhgxr != null and xtZhgxr != ''">
                xt_zhgxr = #{xtZhgxr},
            </if>
            <if test="xtZhgxbmdm != null and xtZhgxbmdm != ''">
                xt_zhgxbmdm = #{xtZhgxbmdm},
            </if>
            <if test="xtZhgxbm != null and xtZhgxbm != ''">
                xt_zhgxbm = #{xtZhgxbm},
            </if>
            <if test="bz != null and bz != ''">
                bz = #{bz}
            </if>
        </set>
        where id = #{id}
    </update>
</mapper>
